## dtk6core 6.0.18

=== src/CMakeLists.txt ===
#cmake_minimum_required(VERSION 3.5)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
find_package(Dtk${DTK_VERSION_MAJOR}Log REQUIRED)
if(LINUX)
  find_package(PkgConfig REQUIRED)
  find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBus)
  if("${QT_VERSION_MAJOR}" STREQUAL "5")
      pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt) #Dtk6 removed.
  endif()

endif()
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Xml)
find_package(DtkBuildHelper REQUIRED)

# start text encoding
find_package(ICU REQUIRED COMPONENTS uc)
pkg_check_modules(uchardet REQUIRED uchardet)
# end text encoding

# start base
include(base/base.cmake)
# end base

# start dci
include(dci/dci.cmake)
#end dci

#start filesystem
include(filesystem/filesystem.cmake)
#end filesystem
# start log
include(log/log.cmake)
#end log
# start settings
include(settings/settings.cmake)
#end settings

#start utils
include(util/util.cmake)
#end utils

#GLOB
include(glob.cmake)
#endGLOG
if(LINUX)
  add_library(${LIB_NAME} SHARED
    ${base_SRCS}
    ${dci_SRCS}
    ${filesystem_SRCS}
    ${log_SRCS}
    ${settings_SRC}
    ${utils_SRC}
    ${glob_SRC}
  )
  target_link_libraries(
    ${LIB_NAME} PUBLIC
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Xml
    Dtk${DTK_VERSION_MAJOR}::Log
  )
  target_link_libraries(${LIB_NAME} PRIVATE
    ICU::uc
    Qt${QT_VERSION_MAJOR}::CorePrivate
    uchardet
  )
  if("${QT_VERSION_MAJOR}" STREQUAL "5")
    target_link_libraries(${LIB_NAME} PRIVATE
      PkgConfig::QGSettings
    )
  endif()

else()
  add_library(${LIB_NAME} SHARED
    ${base_SRCS}
    ${dci_SRCS}
    ${filesystem_SRCS}
    ${log_SRCS}
    ${settings_SRC}
    ${utils_SRC}
    ${glob_SRC}
  )
  target_link_libraries(
    ${LIB_NAME} PUBLIC
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Xml
  )
  target_link_libraries(${LIB_NAME} PRIVATE
    ICU::uc
    Qt${QT_VERSION_MAJOR}::CorePrivate
    uchardet
  )
  if("${QT_VERSION_MAJOR}" STREQUAL "5")
    target_link_libraries(${LIB_NAME} PRIVATE
      PkgConfig::QGSettings
    )
  endif()
endif()
set_target_properties(${LIB_NAME} PROPERTIES
  VERSION ${CMAKE_PROJECT_VERSION}
  SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
  EXPORT_NAME Core
)

target_compile_definitions(${LIB_NAME} PUBLIC
    PREFIX="${DSG_PREFIX_PATH}"
    DSYSINFO_PREFIX="${DSYSINFO_PREFIX}"
)

target_compile_definitions(${LIB_NAME} PRIVATE
    LIBDTKCORE_LIBRARY
)

target_include_directories(${LIB_NAME} PRIVATE
  ${uchardet_INCLUDE_DIRS}
)
target_include_directories(${LIB_NAME} PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/util>
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/dci>
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/log>
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/base>
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/base/private>
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/global>
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/DtkCore>
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/settings>
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/filesystem>
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
)

target_include_directories(${LIB_NAME} INTERFACE
  $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>
)

target_link_directories(${LIB_NAME} INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  $<INSTALL_INTERFACE:${LIBRARY_INSTALL_DIR}>
)

set(EnableCov CACHE BOOL OFF)
if (EnableCov)
    dtk_setup_code_coverage(${LIB_NAME})
endif()

dtk_check_and_add_definitions(${LIB_NAME}
    DEFS
    OS_VERSION_TEST_FILE
    LSB_RELEASE_TEST_FILE
    OS_RELEASE_TEST_FILE
    DEEPIN_VERSION_TEST_FILE
)

set(TOINSTALLBASE
  ../include/base/dobject.h
  ../include/base/dsingleton.h
  ../include/base/private/dobject_p.h
  ../include/base/derror.h
  ../include/base/dexpected.h
)
install(FILES ${TOINSTALLBASE} DESTINATION "${INCLUDE_INSTALL_DIR}")
install(FILES ${LOG_HEADER} DESTINATION "${INCLUDE_INSTALL_DIR}")
install(FILES ${SETTINGS_HEADERS} DESTINATION "${INCLUDE_INSTALL_DIR}")
install(FILES ${UTILS_HEADERS} DESTINATION "${INCLUDE_INSTALL_DIR}")

install(DIRECTORY ../include/dci/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*.h")
install(DIRECTORY ../include/DtkCore/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
install(DIRECTORY ../include/filesystem/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*.h")
install(DIRECTORY ../include/global/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*.h")

install(TARGETS ${LIB_NAME} EXPORT ${DtkCore}Targets
 DESTINATION ${LIBRARY_INSTALL_DIR})

install(EXPORT ${DtkCore}Targets
  FILE ${DtkCore}Targets.cmake
  NAMESPACE Dtk${DTK_VERSION_MAJOR}::
  DESTINATION ${CONFIG_CMAKE_INSTALL_DIR}
)

=== tests/CMakeLists.txt ===
# 方便 test 脚本中调用
set(BIN_NAME "ut-DtkCore")

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
# dbus
set(CMAKE_CXX_FLAGS "-fno-access-control")
add_compile_options(-fsanitize=address)
add_link_options(-fsanitize=address)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)

if(LINUX)
    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBus)
    find_package(PkgConfig REQUIRED)
    if("${QT_VERSION_MAJOR}" STREQUAL "5")
        pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
    endif()
    if(BUILD_WITH_SYSTEMD)
        pkg_check_modules(Systemd REQUIRED IMPORTED_TARGET libsystemd)
    endif()
endif()

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Xml)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Concurrent)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Test)
find_package(GTest REQUIRED)

# for test.so
set(TEST_SO_NAME vtabletest${DTK_VERSION_MAJOR})
add_subdirectory(./testso)

# test
file(GLOB TEST_HEADER ut_.*h)
file(GLOB TEST_SOURCE *.cpp)

file(GLOB FackDBus
    "./fakedbus/*.h"
    "./fakedbus/*.cpp"
)

if(DTK_VERSION_MAJOR)
    list(REMOVE_ITEM TEST_SOURCE "${CMAKE_CURRENT_LIST_DIR}/ut_gsettingsbackend.cpp")
    list(REMOVE_ITEM TEST_SOURCE "${CMAKE_CURRENT_LIST_DIR}/ut_dasync.cpp")
endif()

set(test_SRC
    ${TEST_HEADER}
    ${TEST_SOURCE}
    ${FackDBus}
)
# end test

add_executable(${BIN_NAME}
    ${test_SRC}
    ./data.qrc
)

target_compile_definitions(${BIN_NAME} PUBLIC
    PREFIX="${DSG_PREFIX_PATH}"
    DSYSINFO_PREFIX="${DSYSINFO_PREFIX}"
)

add_dependencies(${BIN_NAME} ${TEST_SO_NAME})
target_link_libraries(
    ${BIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::CorePrivate
    Qt${QT_VERSION_MAJOR}::Xml
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::Test
    ${GTEST_LIBRARIES}
    ${LIB_NAME}
    -l${TEST_SO_NAME}
)

if(LINUX)
    if(${QT_VERSION_MAJOR} STREQUAL "5")
          target_link_libraries(
              ${BIN_NAME} PRIVATE
              PkgConfig::QGSettings
          )
    endif()

    if(BUILD_WITH_SYSTEMD)
        target_link_libraries(
            ${BIN_NAME} PRIVATE
            PkgConfig::Systemd
        )
    endif()

    target_link_libraries(
        ${BIN_NAME} PRIVATE
        Qt${QT_VERSION_MAJOR}::DBus
        -lpthread
        -lm
        -lgcov
        -ldl
    )
endif() #end LINUX

target_link_directories(${BIN_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/testso/)
target_include_directories( ${BIN_NAME} PUBLIC
    ../include/util/
    ../include/dci/
    ../include/log/
    ../include/base/
    ../include/base/private/
    ../include/global/
    ../include/DtkCore/
    ../include/settings/
    ../include/filesystem/
    ../include/
    ./testso/
)

add_test(NAME ${BIN_NAME} COMMAND ${BIN_NAME})

=== debian/changelog ===
dtk6core (6.0.18) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:36:19 +0000

dtk6core (6.0.17) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore
  * fix: add missing dependency for libdtk6core-dev
    Thanks to zty199
  * sync: from linuxdeepin/dtkcore

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 24 Jun 2024 05:35:03 +0000

dtk6core (6.0.16) unstable; urgency=medium

  * 6.0.16

 -- Mike Chen <chenke@deepin.org>  Mon, 13 May 2024 13:25:22 +0800

dtk6core (6.0.15) unstable; urgency=medium

  * 6.0.15

 -- YeShanShan <yeshanshan@deepin.org>  Mon, 29 Apr 2024 16:15:44 +0800

dtk6core (6.0.14) unstable; urgency=medium

  * 6.0.14

 -- YeShanShan <yeshanshan@deepin.org>  Sun, 28 Apr 2024 13:25:44 +0800

dtk6core (6.0.13) unstable; urgency=medium

  * 6.0.13

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 26 Apr 2024 15:15:19 +0800

dtk6core (6.0.12) unstable; urgency=medium

  * 6.0.12

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 23 Apr 2024 11:35:19 +0800

dtk6core (6.0.11) unstable; urgency=medium

  * 6.0.11

 -- Mike Chen <chenke@deepin.org>  Wed, 17 Apr 2024 17:25:11 +0800

dtk6core (6.0.10) unstable; urgency=medium

  * 6.0.10 

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 11 Apr 2024 11:17:18 +0800

dtk6core (6.0.9) unstable; urgency=medium

  * 6.0.9

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 29 Mar 2024 18:02:18 +0800

dtk6core (6.0.8) unstable; urgency=medium

  * 6.0.8

 -- Wang Fei <wangfei@deepin.org>  Tue, 05 Mar 2024 16:06:17 +0800

dtk6core (6.0.4) unstable; urgency=medium

  * 6.0.4

 -- wangfei <wangfei@deepin.org>  Wed, 10 Jan 2024 14:59:17 +0800

dtk6core (6.0.3) unstable; urgency=medium

  * 6.0.3

 -- Mike Chen <chenke@deepin.org>  Tue, 02 Jan 2024 16:19:12 +0800

dtk6core (6.0.2) unstable; urgency=medium

  * release 6.0.2

 -- Yixue Wang <wangyixue@deepin.org>  Wed, 29 Nov 2023 15:26:06 +0800

dtk6core (6.0.1) unstable; urgency=medium

  * Release 6.0.1

 -- Yixue Wang <wangyixue@deepin.org>  Mon, 30 Oct 2023 10:13:08 +0800

dtk6core (6.0.0) unstable; urgency=medium

  * Release 6.0.0

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 18 Sep 2023 10:31:14 +0800

dtkcore (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:12:36 +0800

dtkcore (5.6.16) unstable; urgency=medium

  * fix: FileAppender log level not set
  * chore: ut linked dtkcore instead of source code
  * chore: tweak CMakeLists
  * chore: support Qt 6.4 build
  * chore: qch docs tweak
  * chore: add DtkBuildHelper depends
  * chore: console with color at tty
  * fix: missing dependency qttools5-dev
  * feat: add synchronization workflow

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:45 +0000

dtkcore (5.6.15) unstable; urgency=medium

  * chore: dlog example tweak

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 13:42:20 +0800

dtkcore (5.6.14) unstable; urgency=medium

  * chore: function need to be marked as override
  * chore: ignore doxygen-theme folder
    Thanks to Skye-rs
  * chore: change OUTPUT_DIR variable in cmake
  * chore: remove unused pro files
  * refactor!: deprecate some interfaces in dtk6
  * fix: updateProp cannot convert to property type
  * fix: typo in xdg
  * chore: reduce compilation warnings
    Thanks to SPUER(Issue: #96)
  * chore(dcapmanager): RuntimeTime -> RuntimeDir
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: make test-recoverage.sh runable again
  * chore: add ut for DDbusSender
  * feat: add systembus send support
  * fix: internalPropSet nerver emit propertyChanged
  * chore: should include QVector headers
  * chore: dsysinfo tweak
  * chore: add some unit test

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:33 +0000

dtkcore (5.6.13) unstable; urgency=medium

  * feat: DConfig add check for no existed item when override
  * fix(cmake): wrong use of option and wrong macro
  * fix: calling delay in DDBusSender(Issue: https://github.com/linuxdeepin/developer-center/issues/4415)
  * feat: DConfig add check for subpath(Issue: #54)
  * feat: DConfig exports metadir's implementation(Issue: #10)
  * fix(dccinterface): fix cannot get the right type
  * fix: DConfig's `subpathIsValid` produces error
  * fix(ut): failed ut
  * fix(build): build faild on Qt6
  * fix: fix build failed due to gcc compiler bug
  * fix: ut_dfilewater failed on Qt6
  * fix: DTextEncoding ut failed in Qt6.
  * fix: fix DTextEncoding warnings.
  * feat: support dtk6core build
  * feat: add DThreadUtils class
  * fix: move Qt CorePrivate to target private link
  * fix: qdbusxml2cpp-fix not in path
  * chore: remove ddbusinterface property cache
  * chore: remove libdtkcommon depends

 -- Deepin Packages Builder <packages@deepin.org>  Sun, 25 Jun 2023 14:40:49 +0800

dtkcore (5.6.12) unstable; urgency=medium

  * Release 5.6.12
  * add DLicenseInfo
  * cached memoryInstalledSize
  * FIX developer-center#4348

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 May 2023 11:18:15 +0800

dtkcore (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * add color to ConsoleAppender
  * remove build warning

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 11:48:45 +0800

dtkcore (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * support XDG_SESSION_DESKTOP set to DDE

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:08:28 +0800

dtkcore (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 09:48:07 +0800

dtkcore (5.6.8) unstable; urgency=medium

  * Release 5.6.8

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:09:56 +0800



## dtk6core 6.0.21

=== debian/changelog ===
dtk6core (6.0.21) unstable; urgency=medium

  * 6.0.21

 -- Wang Fei <wangfei@deepin.org>  Wed, 25 Sep 2024 15:08:04 +0800

dtk6core (6.0.19) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 02:41:05 +0000

## dtk6core 6.0.25

=== debian/changelog ===
dtk6core (6.0.25) unstable; urgency=medium

  * 6.0.25

 -- Wang Fei <wangfei@deepin.org>  Fri, 13 Dec 2024 13:20:30 +0800

dtk6core (6.0.24) unstable; urgency=medium

  * 6.0.24

 -- Wang Fei <wangfei@deepin.org>  Wed, 04 Dec 2024 10:25:35 +0800

dtk6core (6.0.23) unstable; urgency=medium

  * 6.0.23

 -- Wang Fei <wangfei@deepin.org>  Wed, 20 Nov 2024 16:44:26 +0800

dtk6core (6.0.22) unstable; urgency=medium

  * 6.0.22

 -- Wang Fei <wangfei@deepin.org>  Wed, 13 Nov 2024 15:59:20 +0800

## dtk6core 6.0.31

=== debian/changelog ===
dtk6core (6.0.31-1) unstable; urgency=medium

  * Initial release (Qt6). (Closes: #1099436)
    + Forked from dtkcore project.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 11:15:44 -0500

dtkcore (5.7.11-2) unstable; urgency=medium

  * debian/control: Add explicit build-dep libdtklog-dev.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 22:16:17 -0500

dtkcore (5.7.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 13:28:20 -0500

dtkcore (5.7.9-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 15:11:16 -0500

dtkcore (5.7.9-1~exp2) experimental; urgency=medium

  * debian/control: Let libdtkcore-dev Breaks+Replaces:
    libdtkcommon-dev (<< 5.7.5). (Closes: #1095715)

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 11:50:59 -0500

dtkcore (5.7.9-1~exp1) experimental; urgency=medium

  * New upstream release 5.7.9.
  * debian/libdtkcore5.shlibs: Require library version (>= 5.7).
  * debian/control: Require dtkcommon (>= 5.7.9) for dtklog.
  * Upload to experimental.
  * debian/patches: Dropped, not needed.
  * debian/rules: Enable -DBUILD_WITY_SYSTEMD.
  * debian/libdtkcore5-bin.install: Updated.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 19:36:21 -0500

dtkcore (5.6.2.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Dec 2024 07:18:37 -0500

dtkcore (5.6.2.2-1~exp1) experimental; urgency=medium

  * New upstream release 5.6.2.2.
  * debian/rules: Adjust for CMake-based build.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Dec 2022 09:05:57 -0500

dtkcore (5.5.33-2) unstable; urgency=medium

  * debian/patches: Drop explicit cxx11 from tests. (Closes: #1038703)
  * debian/control:
    + Bump Standards Version to 4.6.2.
    + Update my Uploaders email to debian.org email.
  * debian/upstream/metadata: Fix Repository URL.

 -- Arun Kumar Pariyar <arun@debian.org>  Wed, 21 Jun 2023 00:09:53 +0545

dtkcore (5.5.33-1) unstable; urgency=medium

  * New upstream version 5.5.33.
  * debian/libdtkcore5.shlibs: update version to 5.5.33.
  * debian/rules: Add buildsystem=qmake.

 -- Clay Stan <claystan97@gmail.com>  Tue, 02 Aug 2022 13:14:06 +0800

dtkcore (5.5.32-1) unstable; urgency=medium

  * New upstream version.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jun 2022 13:26:45 -0400

dtkcore (5.5.31-1) unstable; urgency=medium

  * New upstream version.
  * debian/libdtkcore5.shlibs: update version to 5.5.31.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 May 2022 23:35:19 -0400

dtkcore (5.5.30-1) unstable; urgency=medium

  * New upstream version.
  * debian/libdtkcore5.shlibs: update version to 5.5.30.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Apr 2022 16:10:36 -0400

dtkcore (5.5.23-1) unstable; urgency=medium

  * New upstream version 5.5.23.
  * debian/copyright: updated.
  * debian/libdtkcore5.shlibs: update version to 5.5.23.

 -- Clay Stan <claystan97@gmail.com>  Mon, 21 Feb 2022 15:21:41 +0800

dtkcore (5.5.17.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 13:33:41 -0500

dtkcore (5.5.17.1-1~exp1) experimental; urgency=medium

  [ Clay Stan ]
  * New upstream version 5.5.17.1.
  * add qdbusxml2cpp manpage.

  [ Boyuan Yang ]
  * Upload new version to experimental. (Closes: #993174)
  * Tighten library version requirement using
    debian/libdtkcore5.shlibs.
  * debian/upstream/metadata: Fix field names.
  * debian/control: Drop ${shlibs:Depends} from libdtkcore-dev
    dependency field, useless.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Nov 2021 08:25:42 -0500

dtkcore (5.4.13-1) unstable; urgency=medium

  * New upstream version 5.4.13.

 -- Clay Stan <claystan97@gmail.com>  Sun, 25 Apr 2021 17:02:11 +0800

dtkcore (5.4.0-1~exp1) experimental; urgency=medium

  [ Clay Stan ]
  * New upstream release 5.4.0.
  * debian/control: Add Clay Stan to Uploaders list.

  [ Hu Feng ]
  * debian/control:
    + Remove Build-Depends qtbase5-dev
    + Add Hu Feng to Uploaders list.
  * debian/patches:
    + Add 0001-fix-access-null-pointer.patch
  * debian/libdtkcore5.symbols
    + Update symbols

 -- Hu Feng <hufeng@uniontech.com>  Wed, 03 Mar 2021 09:53:46 +0800

dtkcore (5.2.2.5-2) unstable; urgency=medium

  * debian/libdtkcore5.symbols:
    + Update symbols for other archs.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Mon, 21 Dec 2020 15:05:28 +0545

dtkcore (5.2.2.5-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * debian/libdtkcore5.symbols:
    + Add support for 32-bit architectures.

  [ Arun Kumar Pariyar ]
  * Upload to unstable.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Add pkg-kde-tools to build dependency.
    + Set Replaces+Breaks with libdtkwidget-dev (<< 5.2.2.10-1).
  * Add symbols file for libdtkcore5.
  * debian/copyright: Update license information.
  * debian/rules: Cleanup and ensure proper build.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 20 Dec 2020 23:27:37 +0545

dtkcore (5.2.2.5-1~exp1) experimental; urgency=medium

  [ Tu Qinggang ]
  * New upstream release 5.2.2.5.
  * debian/control: Add Tu Qinggang to Uploaders list.

  [ Arun Kumar Pariyar ]
  * debian/patches: Drop all patches.
  * debian/copyright:
    + Add GPL-3+ license for src/util/dthreadutils.* .
    + Update copyright information.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 03 Sep 2020 05:56:38 +0000

dtkcore (5.2.2.1-1~exp1) experimental; urgency=medium

  * New upstream release 5.2.2.1.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 12 Jul 2020 13:01:11 +0545

dtkcore (5.2.1-1~exp1) experimental; urgency=medium

  * new upstream release 5.2.1.
  * debian/control: Let libdtkcore5-bin provides dtkcore-bin.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jun 2020 10:00:53 -0400

dtkcore (5.2.0-1~exp1) experimental; urgency=medium



=== debian/control ===
Source: dtk6core
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 cmake,
 doxygen <!nodoc>,
 libchardet-dev,
 libdtk6log-dev,
 libdtkcommon-dev (>= 5.7.11),
 libgsettings-qt6-dev,
 libgtest-dev,
 libicu-dev,
 libuchardet-dev,
 pkgconf,
 qt6-base-private-dev,
 qt6-tools-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/linuxdeepin/dtk6core
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtk6core.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtk6core
Description: Deepin Qt6 Tool Kit Core library
 Dtk6Core is a base library for Deepin Qt6/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtk6core-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libdtk6core6 (= ${binary:Version}),
 libdtkcommon-dev (>= 5.7.6),
 ${misc:Depends},
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the header files and static libraries of Dtk6Core.

Package: libdtk6core-bin
Architecture: any
Section: utils
Depends:
 libdtk6core6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (utilities)
 ${source:Extended-Description}
 .
 This package contains various command-line utilities used by Deepin Tool Kit
 and other Deepin software. Some tools were originally provided by DtkSettings.

Package: libdtk6core6
Architecture: any
Multi-Arch: same
Depends:
 libdtkcommon,
 lshw,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libdtk6core,
Replaces:
 libdtk6core,
Provides:
 libdtk6core,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the shared libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

# Explicitly enable hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

# Retrieve version info
include /usr/share/dpkg/default.mk

VERSION = $(DEB_VERSION_UPSTREAM)

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
  BUILD_DOC_OPTION := ON
else
  BUILD_DOC_OPTION := OFF
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DBUILD_EXAMPLES=OFF \
	    -DBUILD_DOCS=$(BUILD_DOC_OPTION) \
	    -DBUILD_WITH_SYSTEMD=ON \
	    -DDTK_VERSION=$(VERSION) \
            $(NULL)

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md


ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_install:
	# Manually install .qch file when documentation is being built
	dh_install debian/tmp/usr/share/qt6/doc/dtkcore.qch /usr/share/qt6/doc/
endif

=== debian/watch ===
Version: 5

Source: https://github.com/linuxdeepin/dtk6core/tags
Matching-Pattern: (?:.*?/)?(\d[\d.]*)\.tar\.gz
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtk6core-$1.tar.gz%

## dtk6core 6.0.34

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)

set (DTK_VERSION "5.6.12" CACHE STRING "define project version")
project (DtkCore
  VERSION ${DTK_VERSION}
  DESCRIPTION "DTK Core module"
  HOMEPAGE_URL "https://github.com/linuxdeepin/dtkcore"
  LANGUAGES CXX C
)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

if("${PROJECT_VERSION_MAJOR}" STREQUAL "5")
    set(QT_VERSION_MAJOR "5")
elseif("${PROJECT_VERSION_MAJOR}" STREQUAL "6")
    set(QT_VERSION_MAJOR "6")
    set(DTK_VERSION_MAJOR "6")
else()
    message(SEND_ERROR "not support Prject Version ${PROJECT_VERSION}.")
endif()

include(dtkcore.cmake)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -20,9 +20,6 @@
     find_package(PkgConfig REQUIRED)
     if("${QT_VERSION_MAJOR}" STREQUAL "5")
         pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
-    endif()
-    if(BUILD_WITH_SYSTEMD)
-        pkg_check_modules(Systemd REQUIRED IMPORTED_TARGET libsystemd)
     endif()
 endif()
 
@@ -88,13 +85,6 @@
           )
     endif()
 
-    if(BUILD_WITH_SYSTEMD)
-        target_link_libraries(
-            ${BIN_NAME} PRIVATE
-            PkgConfig::Systemd
-        )
-    endif()
-
     target_link_libraries(
         ${BIN_NAME} PRIVATE
         Qt${QT_VERSION_MAJOR}::DBus

=== debian/changelog ===
dtk6core (6.0.34) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:57:06 +0800

dtk6core (6.0.33) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:19:28 +0800

dtk6core (6.0.32) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:37:40 +0800

dtk6core (6.0.31) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:56:31 +0800

dtk6core (6.0.30) unstable; urgency=medium

  * Release 6.0.30

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:13:57 +0800

dtk6core (6.0.29) unstable; urgency=medium

  * 6.0.29

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 23 Jan 2025 17:07:20 +0800

dtk6core (6.0.28) unstable; urgency=medium

  * 6.0.28

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 14 Jan 2025 19:17:45 +0800

dtk6core (6.0.27) unstable; urgency=medium

  * 6.0.27

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 09 Jan 2025 19:16:35 +0800

dtk6core (6.0.26) unstable; urgency=medium

  * 6.0.26

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 02 Jan 2025 15:12:31 +0800

=== debian/control ===
Source: dtk6core
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 qt6-tools-dev,
 qt6-base-private-dev,
 doxygen,
 libgtest-dev,
 cmake,
 libuchardet-dev,
 libicu-dev,
 libdtkcommon-dev (>= 5.6.4),
 libdtk6log-dev
Standards-Version: 3.9.8

Package: libdtk6core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lshw
Multi-Arch: same
Description: Deepin Tool Kit Core library
 DtkCore is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtk6core-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6core (= ${binary:Version})
Description: Deepin Tool Kit Core Utilities
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the utilities of DtkCore

Package: libdtk6core-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6core (= ${binary:Version}), libdtkcommon-dev (>= 5.6.16), libdtk6log-dev
Description: Deepin Tool Kit Core Devel library
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries of DtkCore

Package: libdtk6core-doc
Architecture: any
Build-Profiles: <!nodoc>
Description: Deepin Tool Kit Core (document)
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the doc files of DtkCore

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_CXXFLAGS_MAINT_APPEND = -Ofast

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VERSION = $(DEB_VERSION_UPSTREAM)
PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
# Fix: invalid digit "8" in octal constant. e.g.  u008 ==> 008 ==> 8
BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g' | awk '{print int($$1)}')


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_EXAMPLES=OFF -DBUILD_DOCS=ON -DBUILD_VERSION=$(BUILD_VER) -DDTK_VERSION=$(PACK_VER) -DD_DSG_APP_DATA_FALLBACK=/var/dsg/appdata -DBUILD_WITH_SYSTEMD=ON

override_dh_makeshlibs:
	dh_makeshlibs -V "libdtk6core (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtk6core 6.0.35

=== debian/changelog ===
dtk6core (6.0.35-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.3.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Feb 2026 20:11:56 -0500

=== debian/control ===
Source: dtk6core
Section: libs
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 cmake,
 doxygen <!nodoc>,
 libchardet-dev,
 libdtk6log-dev,
 libdtkcommon-dev (>= 5.7.11),
 libgsettings-qt6-dev,
 libgtest-dev,
 libicu-dev,
 libuchardet-dev,
 pkgconf,
 qt6-base-private-dev,
 qt6-tools-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/linuxdeepin/dtk6core
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtk6core.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtk6core
Description: Deepin Qt6 Tool Kit Core library
 Dtk6Core is a base library for Deepin Qt6/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtk6core-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libdtk6core6 (= ${binary:Version}),
 libdtkcommon-dev (>= 5.7.6),
 ${misc:Depends},
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the header files and static libraries of Dtk6Core.

Package: libdtk6core-bin
Architecture: any
Section: utils
Depends:
 libdtk6core6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (utilities)
 ${source:Extended-Description}
 .
 This package contains various command-line utilities used by Deepin Tool Kit
 and other Deepin software. Some tools were originally provided by DtkSettings.

Package: libdtk6core6
Architecture: any
Multi-Arch: same
Depends:
 libdtkcommon,
 lshw,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libdtk6core,
Replaces:
 libdtk6core,
Provides:
 libdtk6core,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the shared libraries.

## dtk6core 6.0.36

=== debian/changelog ===
dtk6core (6.0.36) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:23:22 +0800

dtk6core (6.0.35) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 18:50:11 +0800

## dtk6core 6.0.38

=== debian/changelog ===
dtk6core (6.0.38) unstable; urgency=medium

  * Release 6.0.38

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:09:01 +0800

dtk6core (6.0.37) unstable; urgency=medium

  * Release 6.0.37

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:11:44 +0800

## dtk6core 6.0.39.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
 find_package(Dtk${DTK_VERSION_MAJOR}Log REQUIRED)
+find_package(DBus1 REQUIRED)
 if(LINUX)
   find_package(PkgConfig REQUIRED)
   find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBus)
@@ -67,9 +68,7 @@
     Dtk${DTK_VERSION_MAJOR}::Log
   )
   target_link_libraries(${LIB_NAME} PRIVATE
-    ICU::uc
     Qt${QT_VERSION_MAJOR}::CorePrivate
-    uchardet
   )
   if("${QT_VERSION_MAJOR}" STREQUAL "5")
     target_link_libraries(${LIB_NAME} PRIVATE
@@ -93,9 +92,7 @@
     Qt${QT_VERSION_MAJOR}::Xml
   )
   target_link_libraries(${LIB_NAME} PRIVATE
-    ICU::uc
     Qt${QT_VERSION_MAJOR}::CorePrivate
-    uchardet
   )
   if("${QT_VERSION_MAJOR}" STREQUAL "5")
     target_link_libraries(${LIB_NAME} PRIVATE
@@ -118,6 +115,9 @@
     LIBDTKCORE_LIBRARY
 )
 
+target_link_libraries(${LIB_NAME} PRIVATE
+  dbus-1
+)
 target_include_directories(${LIB_NAME} PRIVATE
   ${uchardet_INCLUDE_DIRS}
 )

=== debian/changelog ===
dtk6core (6.0.39.1) unstable; urgency=medium

  * Release 6.0.39

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:11:42 +0800

=== debian/control ===
Source: dtk6core
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 qt6-tools-dev,
 qt6-base-private-dev,
 doxygen,
 libgtest-dev,
 cmake,
 libuchardet-dev,
 libicu-dev,
 libdtkcommon-dev (>= 5.6.4),
 libdtk6log-dev,
 libdbus-1-dev
Standards-Version: 3.9.8

Package: libdtk6core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lshw
Multi-Arch: same
Description: Deepin Tool Kit Core library
 DtkCore is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtk6core-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6core (= ${binary:Version})
Description: Deepin Tool Kit Core Utilities
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the utilities of DtkCore

Package: libdtk6core-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6core (= ${binary:Version}), libdtkcommon-dev (>= 5.6.16), libdtk6log-dev
Description: Deepin Tool Kit Core Devel library
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries of DtkCore

Package: libdtk6core-doc
Architecture: any
Build-Profiles: <!nodoc>
Description: Deepin Tool Kit Core (document)
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the doc files of DtkCore

## dtk6core 6.0.40

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,12 @@
 find_package(ICU REQUIRED COMPONENTS uc)
 pkg_check_modules(uchardet REQUIRED uchardet)
 # end text encoding
+
+# 为不包含实际QObject类的头文件跳过AutoMOC处理
+set_property(SOURCE ../include/base/dsingleton.h PROPERTY SKIP_AUTOMOC ON)
+if("${DTK_VERSION_MAJOR}" STREQUAL "6")
+    set_property(SOURCE ../include/util/dthreadutils.h PROPERTY SKIP_AUTOMOC ON)
+endif()
 
 # start base
 include(base/base.cmake)

=== debian/changelog ===
dtk6core (6.0.40-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Feb 2026 11:23:02 -0500

## dtk6core 6.0.41

=== debian/changelog ===
dtk6core (6.0.41) unstable; urgency=medium

  * Release 6.0.41

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:48:02 +0800

dtk6core (6.0.40) unstable; urgency=medium

  * Release 6.0.40

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 20:00:36 +0800

dtk6core (6.0.39) unstable; urgency=medium

  * Release 6.0.39

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:11:42 +0800

## dtk6core 6.0.44

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,12 @@
     find_package(PkgConfig REQUIRED)
     if("${QT_VERSION_MAJOR}" STREQUAL "5")
         pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
+    elseif(${QT_VERSION_MAJOR} EQUAL 6)
+        if(${Qt6Core_VERSION} VERSION_GREATER_EQUAL 6.10.0)
+            find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS CorePrivate)
+        endif()
+    else()
+        message(FATAL_ERROR "Unsupported Qt version: ${QT_VERSION_MAJOR}")
     endif()
 endif()
 
@@ -27,6 +33,8 @@
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Concurrent)
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Test)
 find_package(GTest REQUIRED)
+
+include(GoogleTest)
 
 # for test.so
 set(TEST_SO_NAME vtabletest${DTK_VERSION_MAJOR})
@@ -110,4 +118,4 @@
     ./testso/
 )
 
-add_test(NAME ${BIN_NAME} COMMAND ${BIN_NAME})
+gtest_discover_tests(${BIN_NAME})

=== tools/deepin-os-release/CMakeLists.txt ===
set(TARGET_NAME deepin-os-release)
set(BIN_NAME ${TARGET_NAME}${DTK_VERSION_MAJOR})

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_AUTOMOC ON)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
if(${QT_VERSION_MAJOR} EQUAL 6)
    if(${Qt6Core_VERSION} VERSION_GREATER_EQUAL 6.10.0)
      find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS CorePrivate)
    endif()
endif()

add_definitions(-DDTK_NO_PROJECT)
# start dci
set(dci_SRCS
  ../../include/global/dsysinfo.h
  ../../include/global/ddesktopentry.h
  ../../src/dsysinfo.cpp
  ../../src/ddesktopentry.cpp
)
add_executable(${BIN_NAME}
  ${dci_SRCS}
  main.cpp
)

target_compile_definitions(${BIN_NAME} PUBLIC
    DSYSINFO_PREFIX="${DSYSINFO_PREFIX}")

target_link_libraries(${BIN_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::CorePrivate
)
target_include_directories(${BIN_NAME} PUBLIC
  ../../include/
  ../../include/dci/
  ../../include/DtkCore/
  ../../include/base/
  ../../include/global/
)
set_target_properties(${BIN_NAME} PROPERTIES OUTPUT_NAME ${TARGET_NAME})
install(TARGETS ${BIN_NAME} DESTINATION "${TOOL_INSTALL_DIR}")

#end dci

=== tools/qdbusxml2cpp/CMakeLists.txt ===
set(TARGET_NAME qdbusxml2cpp-fix)
set(BIN_NAME ${TARGET_NAME}${DTK_VERSION_MAJOR})

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBus)

if(${QT_VERSION_MAJOR} EQUAL 6)
    if (${Qt6DBus_VERSION} VERSION_GREATER_EQUAL 6.10.0)
      find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBusPrivate)
    endif()
endif()

add_executable(${BIN_NAME}
  qdbusxml2cpp.cpp
)

target_link_libraries(
  ${BIN_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::DBus
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBusPrivate
)

set_target_properties(
  ${BIN_NAME} PROPERTIES
  OUTPUT_NAME ${TARGET_NAME}
  EXPORT_NAME Xml2Cpp
)

install(
  TARGETS ${BIN_NAME}
  EXPORT Dtk${DTK_VERSION_MAJOR}ToolsTargets
  DESTINATION ${TOOL_INSTALL_DIR}
)

install(
  EXPORT Dtk${DTK_VERSION_MAJOR}ToolsTargets
  FILE Dtk${DTK_VERSION_MAJOR}ToolsTargets.cmake
  NAMESPACE Dtk${DTK_VERSION_MAJOR}::
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/Dtk${DTK_VERSION_MAJOR}Tools"
)

=== tools/settings/CMakeLists.txt ===
set(TARGET_NAME dtk-settings)
set(BIN_NAME ${TARGET_NAME}${DTK_VERSION_MAJOR})

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Xml)

if(${QT_VERSION_MAJOR} STREQUAL "5")
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
endif()

add_executable(${BIN_NAME}
  main.cpp
)
target_link_libraries(
  ${BIN_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::Xml
  ${LIB_NAME}
)

if(${QT_VERSION_MAJOR} STREQUAL "5")
target_link_libraries(
  ${BIN_NAME} PRIVATE
  PkgConfig::QGSettings
)
endif()

target_include_directories( ${BIN_NAME} PUBLIC
  ../../include/util/
  ../../include/dci/
  ../../include/log/
  ../../include/base/
  ../../include/global/
  ../../include/DtkCore/
  ../../include/settings/
  ../../include/filesystem/
  ../../include/
)
set_target_properties(${BIN_NAME} PROPERTIES OUTPUT_NAME ${TARGET_NAME})
install(TARGETS ${BIN_NAME} DESTINATION "${TOOL_INSTALL_DIR}")

=== debian/changelog ===
dtk6core (6.0.44) unstable; urgency=medium

  * Release 6.0.44

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:46:02 +0800

dtk6core (6.0.43) unstable; urgency=medium

  * Release 6.0.43

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:49:52 +0800

dtk6core (6.0.42) unstable; urgency=medium

  * Release 6.0.42

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:26:34 +0800

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 export DEB_CXXFLAGS_MAINT_APPEND = -Ofast
+
+# 安全编译参数
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

## dtk6core 6.0.46

=== debian/changelog ===
dtk6core (6.0.46) unstable; urgency=medium

  * Release 6.0.46

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:03:33 +0800

dtk6core (6.0.45) unstable; urgency=medium

  * Release 6.0.45

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:44:54 +0800

=== debian/rules ===
--- 
+++ 
@@ -24,4 +24,4 @@
 	dh_auto_configure -- -DBUILD_EXAMPLES=OFF -DBUILD_DOCS=ON -DBUILD_VERSION=$(BUILD_VER) -DDTK_VERSION=$(PACK_VER) -DD_DSG_APP_DATA_FALLBACK=/var/dsg/appdata -DBUILD_WITH_SYSTEMD=ON
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V "libdtk6core (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"
+	dh_makeshlibs -V "libdtk6core (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2,3))"

## dtk6core 6.0.48

=== debian/changelog ===
dtk6core (6.0.48-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Feb 2026 11:51:20 -0500

dtk6core (6.0.44-1) unstable; urgency=medium

  * New upstream release.
    + Compatible with Qt 6.10. (Closes: #1127892)
  * debian/rules: Drop explicitly setting of DTK_VERSION.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Feb 2026 11:43:18 -0500

## dtk6core 6.0.50

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,10 +12,16 @@
 if(LINUX)
   find_package(PkgConfig REQUIRED)
   find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBus)
-  if("${QT_VERSION_MAJOR}" STREQUAL "5")
+
+  if(${QT_VERSION_MAJOR} EQUAL 5)
       pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt) #Dtk6 removed.
+  elseif(${QT_VERSION_MAJOR} EQUAL 6)
+      if(${Qt6Core_VERSION} VERSION_GREATER_EQUAL 6.10.0)
+          find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS CorePrivate)
+      endif()
+  else()
+      message(FATAL_ERROR "Unsupported Qt version: ${QT_VERSION_MAJOR}")
   endif()
-
 endif()
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Xml)
 find_package(DtkBuildHelper REQUIRED)
@@ -138,6 +144,7 @@
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/settings>
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/filesystem>
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+  $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
 )
 
 target_include_directories(${LIB_NAME} INTERFACE

=== tools/ch2py/CMakeLists.txt ===
set(TARGET_NAME ch2py)
set(BIN_NAME ${TARGET_NAME}${DTK_VERSION_MAJOR})

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)

set(CMAKE_AUTORCC ON)
add_executable(${BIN_NAME}
    ${PROJECT_SOURCE_DIR}/src/util/dpinyin.cpp
    ${PROJECT_SOURCE_DIR}/src/util/util.qrc
    main.cpp
)
target_link_libraries(${BIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
)
target_include_directories(${BIN_NAME} PRIVATE
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/util>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/global>
    $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
)
set_target_properties(${BIN_NAME} PROPERTIES OUTPUT_NAME ${TARGET_NAME})
install(TARGETS ${BIN_NAME} DESTINATION "${TOOL_INSTALL_DIR}")

=== tools/deepin-os-release/CMakeLists.txt ===
--- 
+++ 
@@ -31,11 +31,12 @@
   Qt${QT_VERSION_MAJOR}::CorePrivate
 )
 target_include_directories(${BIN_NAME} PUBLIC
-  ../../include/
-  ../../include/dci/
-  ../../include/DtkCore/
-  ../../include/base/
-  ../../include/global/
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/dci>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/DtkCore>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/base>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/global>
+    $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
 )
 set_target_properties(${BIN_NAME} PROPERTIES OUTPUT_NAME ${TARGET_NAME})
 install(TARGETS ${BIN_NAME} DESTINATION "${TOOL_INSTALL_DIR}")

=== debian/changelog ===
dtk6core (6.0.50-1) unstable; urgency=medium

  * New upstream release. (Closes: #1127892)
  * debian/patches/ae08901f8d6aab6d09d79a441f02e04e4581806c.patch:
    Add patch from upstream dtkcore project to fix compatibility with
    Qt 6.9+.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Feb 2026 12:45:39 -0500

=== debian/control ===
Source: dtk6core
Section: libs
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 cmake,
 doxygen <!nodoc>,
 libchardet-dev,
 libdbus-1-dev,
 libdtk6log-dev,
 libdtkcommon-dev (>= 5.7.11),
 libgsettings-qt6-dev,
 libgtest-dev,
 libicu-dev,
 libuchardet-dev,
 pkgconf,
 qt6-base-private-dev,
 qt6-tools-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/linuxdeepin/dtk6core
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtk6core.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtk6core
Description: Deepin Qt6 Tool Kit Core library
 Dtk6Core is a base library for Deepin Qt6/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtk6core-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libdtk6core6 (= ${binary:Version}),
 libdtkcommon-dev (>= 5.7.6),
 ${misc:Depends},
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the header files and static libraries of Dtk6Core.

Package: libdtk6core-bin
Architecture: any
Section: utils
Depends:
 libdtk6core6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (utilities)
 ${source:Extended-Description}
 .
 This package contains various command-line utilities used by Deepin Tool Kit
 and other Deepin software. Some tools were originally provided by DtkSettings.

Package: libdtk6core6
Architecture: any
Multi-Arch: same
Depends:
 libdtkcommon,
 lshw,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libdtk6core,
Replaces:
 libdtk6core,
Provides:
 libdtk6core,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the shared libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

# Explicitly enable hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

# Retrieve version info
include /usr/share/dpkg/default.mk

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
  BUILD_DOC_OPTION := ON
else
  BUILD_DOC_OPTION := OFF
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DBUILD_EXAMPLES=OFF \
	    -DBUILD_DOCS=$(BUILD_DOC_OPTION) \
	    -DBUILD_WITH_SYSTEMD=ON \
	    -DCMAKE_SKIP_BUILD_RPATH=ON \
            $(NULL)

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md


ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_install:
	# Manually install .qch file when documentation is being built
	dh_install debian/tmp/usr/share/qt6/doc/dtkcore.qch /usr/share/qt6/doc/
endif
